package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 附件管理对象 sys_file
 * 
 * @author ruoyi
 * @date 2023-11-15
 */
public class CrmFiles extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 文件ID */
    @Excel(name = "文件ID")
    private String fileId;

    /** 关联信息ID */
    @Excel(name = "关联信息ID")
    private String objectId;

    /** 0:项目文件;1:活动计划文件;2活动实际文件;3客户信息文件;4联系人信息文件;5地址信息文件 */
    @Excel(name = "0:项目文件;1:活动计划文件;2活动实际文件;3客户信息文件;4联系人信息文件;5地址信息文件")
    private String type;

    /** 文件名称 */
    @Excel(name = "文件名称")
    private String uploadName;

    /** 文件类型 */
    @Excel(name = "文件类型")
    private String uploadType;

    /** 文件地址 */
    @Excel(name = "文件地址")
    private String uploadPath;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String companyId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setFileId(String fileId) 
    {
        this.fileId = fileId;
    }

    public String getFileId() 
    {
        return fileId;
    }
    public void setObjectId(String objectId) 
    {
        this.objectId = objectId;
    }

    public String getObjectId() 
    {
        return objectId;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setUploadName(String uploadName) 
    {
        this.uploadName = uploadName;
    }

    public String getUploadName() 
    {
        return uploadName;
    }
    public void setUploadType(String uploadType) 
    {
        this.uploadType = uploadType;
    }

    public String getUploadType() 
    {
        return uploadType;
    }
    public void setUploadPath(String uploadPath) 
    {
        this.uploadPath = uploadPath;
    }

    public String getUploadPath() 
    {
        return uploadPath;
    }
    public void setCompanyId(String companyId) 
    {
        this.companyId = companyId;
    }

    public String getCompanyId() 
    {
        return companyId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("fileId", getFileId())
            .append("objectId", getObjectId())
            .append("type", getType())
            .append("uploadName", getUploadName())
            .append("uploadType", getUploadType())
            .append("uploadPath", getUploadPath())
            .append("companyId", getCompanyId())
            .toString();
    }
}
